Last Comment Bug 1117341 - Outdated client message shown when using obsolete token
: Outdated client message shown when using obsolete token
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Provider: GData (show other bugs)
: Trunk
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks: 1117541
  Show dependency treegraph
 
Reported: 2015-01-03 05:57 PST by Philipp Kewisch [:Fallen]
Modified: 2015-01-22 16:44 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (4.03 KB, patch)
2015-01-03 05:58 PST, Philipp Kewisch [:Fallen]
mohit.kanwal: review+
Details | Diff | Splinter Review
Fix - v2 (4.03 KB, patch)
2015-01-21 09:14 PST, Philipp Kewisch [:Fallen]
philipp: review+
Details | Diff | Splinter Review

Description User image Philipp Kewisch [:Fallen] 2015-01-03 05:57:15 PST
1) Install an old provider version that still has a valid client key
2) Disable that calendar
3) Mark that old key invalid in the API Console (granted, you can't do this)
4) Update to a newer version with a valid client key
5) Enable calendar


Results:
* "unauthorized_client" message is shown in console
* Client outdated message is shown, even with new provider

Expected:
* Attempt to log in with new access token, ignoring the old token
Comment 1 User image Philipp Kewisch [:Fallen] 2015-01-03 05:58:13 PST
Created attachment 8543502 [details] [diff] [review]
Fix - v1
Comment 2 User image Mohit Kanwal [:redDragon] 2015-01-21 08:56:52 PST
Comment on attachment 8543502 [details] [diff] [review]
Fix - v1

Review of attachment 8543502 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM

::: calendar/providers/gdata/modules/gdataSession.jsm
@@ +243,5 @@
>                      this.notifyOutdated();
> +                } else if (error == "unauthorized_client") {
> +                    cal.ERROR("[calGoogleSession] Token for " + this.mId +
> +                              " is no longer authorized");
> +                    // We need to trigger a login without acecss token but want

oops type here in `acecss`
Comment 3 User image Philipp Kewisch [:Fallen] 2015-01-21 09:14:42 PST
Created attachment 8552522 [details] [diff] [review]
Fix - v2

Thanks, here is the patch for checkin with the typo fixed!
Comment 4 User image Philipp Kewisch [:Fallen] 2015-01-22 16:44:43 PST
Pushed to comm-central changeset 181fc12cf180

Note You need to log in before you can comment on or make changes to this bug.